class NetworkGameManager {

    constructor()
    {
        this.network = null;
    }

    connect(networkURL, callback)
    {
        this.connectedCallback = callback;

        this.network = new NetworkConnection();
        this.network.onConnected = () => { this.connected(); };
        this.network.onDisconnected = () => { this.disconnected(); };
        this.network.connect(networkURL);
    }

    connected()
    {
        this.addMessageListeners();
    }

    disconnected()
    {

    }

    update(timeElapsed) {}

}
